## ros-roscpp-core 0.5.6

=== cpp_common/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cpp_common)

find_package(Boost REQUIRED COMPONENTS system thread)
find_package(console_bridge REQUIRED)
find_package(catkin REQUIRED)
catkin_package(
  DEPENDS Boost console_bridge
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME})

include(CheckIncludeFile)
include(CheckFunctionExists)
include(CheckCXXSourceCompiles)

include_directories(include ${Boost_INCLUDE_DIRS} ${console_bridge_INCLUDE_DIRS})

# execinfo.h is needed for backtrace on glibc systems
CHECK_INCLUDE_FILE(execinfo.h HAVE_EXECINFO_H)
if(HAVE_EXECINFO_H)
  add_definitions(-DHAVE_EXECINFO_H=1)
endif(HAVE_EXECINFO_H)
# do we have demangle capability?
# CHECK_INCLUDE_FILE doesn't work here for some reason
CHECK_CXX_SOURCE_COMPILES("#include<cxxabi.h>\nintmain(intargc,char**argv){}" HAVE_CXXABI_H)
if(HAVE_CXXABI_H)
  add_definitions(-DHAVE_CXXABI_H=1)
endif()
CHECK_FUNCTION_EXISTS(backtrace HAVE_GLIBC_BACKTRACE)
if(HAVE_GLIBC_BACKTRACE)
  add_definitions(-DHAVE_GLIBC_BACKTRACE)
endif(HAVE_GLIBC_BACKTRACE)

add_library(${PROJECT_NAME} src/debug.cpp src/header.cpp)
target_link_libraries(${PROJECT_NAME} ${Boost_LIBRARIES} ${console_bridge_LIBRARIES})

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(DIRECTORY include/
  DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

=== roscpp_core/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(roscpp_core)
find_package(catkin REQUIRED)
catkin_metapackage()

=== rostime/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rostime)

find_package(catkin REQUIRED COMPONENTS cpp_common)
find_package(Boost REQUIRED COMPONENTS date_time system thread)
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS cpp_common
  DEPENDS Boost
)

include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

add_library(rostime 
  src/duration.cpp
  src/rate.cpp
  src/time.cpp)

target_link_libraries(rostime ${Boost_LIBRARIES})
if(NOT APPLE)
  target_link_libraries(rostime ${RT_LIBRARY})
endif()

install(TARGETS rostime
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(DIRECTORY include/
  DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

if(CATKIN_ENABLE_TESTING)
  catkin_add_gtest(${PROJECT_NAME}-test_time test/time.cpp)
  if(TARGET ${PROJECT_NAME}-test_time)
    target_link_libraries(${PROJECT_NAME}-test_time ${catkin_LIBRARIES} rostime)
  endif()
endif()

=== debian/changelog ===
ros-roscpp-core (0.5.6-2) unstable; urgency=medium

  * Convert to new catkin with multiarch

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 24 Nov 2015 12:47:27 +0100

ros-roscpp-core (0.5.6-1) unstable; urgency=medium

  * Initial release. (Closes: #804030)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Mon, 16 Nov 2015 03:53:46 +0000

=== debian/control ===
Source: ros-roscpp-core
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: libs
Priority: extra
Build-Depends: debhelper (>= 9), 
	       python,
	       catkin (>> 0.6.16-2),
         libboost-system-dev,
         libboost-thread-dev,
         libconsole-bridge-dev,
         libboost-date-time-dev,
         libgtest-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-roscpp-core.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-roscpp-core.git
Homepage: http://www.ros.org/wiki/ROS

Package: libroscpp-core-dev
Section: libdevel
Architecture: any
Depends: libcpp-common0d (= ${binary:Version}), libroscpp-serialization0d (= ${binary:Version}), librostime0d (= ${binary:Version}), libboost-system-dev, libboost-thread-dev, libconsole-bridge-dev, libboost-date-time-dev, ${misc:Depends}
Description: Development files for Robot OS roscpp-core
 This package is part of Robot OS (ROS). It contains the development
 files for roscpp_core which is an underlying library that supports
 roscpp message data types. It is a lightweight/minimal library that
 can easily be used in non-ROS-based projects.

Package: libcpp-common0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Robot OS utility library
 This package is part of Robot OS (ROS). It contains the C++ library
 libcpp_common which is code for doing things that are not necessarily ROS
 related, but are useful for multiple packages. This includes things like the
 ROS_DEPRECATED and ROS_FORCE_INLINE macros, as well as code for getting
 backtraces.

Package: libroscpp-serialization0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Robot OS library for roscpp serialization
 This package is part of Robot OS (ROS). It is a C++ library for
 serialization as described in MessagesSerializationAndAdaptingTypes.
 This package is a component of roscpp.

Package: librostime0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Robot OS library for time and duration
 This package is part of Robot OS (ROS). It contains Time and Duration
 implementations for C++ libraries, including roscpp. ROS has builtin
 time and duration primitive types, which roslib provides as the
 ros::Time and ros::Duration classes, respectively.

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh  $@ --parallel --buildsystem=cmake

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
version=3
https://github.com/ros/roscpp_core/tags \
(?:.*/|)(\d\S*)\.(?:tar\.(?:gz|bz2|xz)|tgz|tbz2|txz)

## ros-roscpp-core 0.6.0

=== rostime/CMakeLists.txt ===
--- 
+++ 
@@ -32,6 +32,10 @@
   FILES_MATCHING PATTERN "*.h")
 
 if(CATKIN_ENABLE_TESTING)
+  catkin_add_gtest(${PROJECT_NAME}-test_duration test/duration.cpp)
+  if(TARGET ${PROJECT_NAME}-test_duration)
+    target_link_libraries(${PROJECT_NAME}-test_duration ${catkin_LIBRARIES} rostime)
+  endif()
   catkin_add_gtest(${PROJECT_NAME}-test_time test/time.cpp)
   if(TARGET ${PROJECT_NAME}-test_time)
     target_link_libraries(${PROJECT_NAME}-test_time ${catkin_LIBRARIES} rostime)

=== debian/changelog ===
ros-roscpp-core (0.6.0-1build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:31:53 +0000

ros-roscpp-core (0.6.0-1) unstable; urgency=medium

  * Imported Upstream version 0.6.0
  * Refresh patches

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 18 Jun 2016 11:22:44 +0200

## ros-roscpp-core 0.6.1

=== debian/changelog ===
ros-roscpp-core (0.6.1-2) unstable; urgency=medium

  * Set priority to optional to make deb check happy

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 26 Dec 2016 18:19:57 +0100

ros-roscpp-core (0.6.1-1) unstable; urgency=medium

  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update URLs
  * Update my email address
  * New upstream version 0.6.1

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 18 Sep 2016 09:26:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: ros-roscpp-core
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
+           Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: libs
-Priority: extra
+Priority: optional
 Build-Depends: debhelper (>= 9), 
 	       python,
 	       catkin (>> 0.6.16-2),
@@ -13,10 +13,10 @@
          libconsole-bridge-dev,
          libboost-date-time-dev,
          libgtest-dev
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-roscpp-core.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-roscpp-core.git
-Homepage: http://www.ros.org/wiki/ROS
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-roscpp-core.git
+Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-roscpp-core.git
+Homepage: http://wiki.ros.org/cpp_common
 
 Package: libroscpp-core-dev
 Section: libdevel

## ros-roscpp-core 0.6.5

=== debian/changelog ===
ros-roscpp-core (0.6.5-1) unstable; urgency=medium

  * New upstream version 0.6.5

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 12 Aug 2017 23:32:06 +0200

ros-roscpp-core (0.6.4-1) unstable; urgency=medium

  * add Multi-Arch according to hinter
  * New upstream version 0.6.4
  * Update policy and debhelper versions
  * Update watch file
  * Remove parallel (Default for debhelper 10)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 08 Jul 2017 07:36:36 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,8 @@
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 9), 
-	       python,
-	       catkin (>> 0.6.16-2),
-         libboost-system-dev,
-         libboost-thread-dev,
-         libconsole-bridge-dev,
-         libboost-date-time-dev,
-         libgtest-dev
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), python, catkin, libboost-system-dev, libboost-thread-dev, libconsole-bridge-dev, libboost-date-time-dev, libgtest-dev
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-roscpp-core.git
 Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-roscpp-core.git
 Homepage: http://wiki.ros.org/cpp_common
@@ -41,6 +34,7 @@
 
 Package: libroscpp-serialization0d
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Robot OS library for roscpp serialization
  This package is part of Robot OS (ROS). It is a C++ library for

## ros-roscpp-core 0.6.7

=== roscpp_serialization/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(roscpp_serialization)
find_package(catkin REQUIRED COMPONENTS cpp_common roscpp_traits rostime)
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES roscpp_serialization
  CATKIN_DEPENDS cpp_common roscpp_traits rostime
)

include_directories(include ${catkin_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

add_library(roscpp_serialization src/serialization.cpp)

install(TARGETS roscpp_serialization
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(DIRECTORY include/
  DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

=== roscpp_traits/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(roscpp_traits)
find_package(catkin REQUIRED)
catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS cpp_common rostime)

install(DIRECTORY include/
  DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

=== debian/changelog ===
ros-roscpp-core (0.6.7-1build1) bionic; urgency=medium

  * No-change rebuild against libconsole-bridge0.4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 02 Mar 2018 07:13:21 +0000

ros-roscpp-core (0.6.7-1) unstable; urgency=medium

  * New upstream version 0.6.7

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 10 Nov 2017 13:03:37 +0100

ros-roscpp-core (0.6.6-1) unstable; urgency=medium

  * New upstream version 0.6.6
  * Remove patch, merged upstream
  * Update standards version

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 28 Oct 2017 10:16:54 +0200

ros-roscpp-core (0.6.5-2) unstable; urgency=medium

  * Add patch for Hurd
  * new standards version (no changes needed)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 26 Sep 2017 10:46:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: ros-roscpp-core
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>= 10), python, catkin, libboost-system-dev, libboost-thread-dev, libconsole-bridge-dev, libboost-date-time-dev, libgtest-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-roscpp-core.git
 Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-roscpp-core.git
 Homepage: http://wiki.ros.org/cpp_common

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh  $@ --buildsystem=cmake

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-roscpp-core-$1.tar.gz%" \
    https://github.com/ros/roscpp_core/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ros-roscpp-core 0.6.11

=== debian/changelog ===
ros-roscpp-core (0.6.11-2) unstable; urgency=medium

  * Drop python build dependency (not used)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 21 Jun 2018 21:16:33 +0200

ros-roscpp-core (0.6.11-1) unstable; urgency=medium

  * New upstream version 0.6.11

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 16 Jun 2018 16:28:36 +0200

ros-roscpp-core (0.6.10-1) unstable; urgency=medium

  * New upstream version 0.6.10
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 27 May 2018 12:25:26 +0200

ros-roscpp-core (0.6.9-1) unstable; urgency=medium

  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * New upstream version 0.6.9
  * Update policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 31 Mar 2018 22:41:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: ros-roscpp-core
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10), python, catkin, libboost-system-dev, libboost-thread-dev, libconsole-bridge-dev, libboost-date-time-dev, libgtest-dev
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-roscpp-core.git
-Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-roscpp-core.git
-Homepage: http://wiki.ros.org/cpp_common
+Build-Depends: debhelper (>= 11), catkin, libboost-system-dev, libboost-thread-dev, libconsole-bridge-dev, libboost-date-time-dev, libgtest-dev
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/science-team/ros-roscpp-core
+Vcs-Git: https://salsa.debian.org/science-team/ros-roscpp-core.git
+Rules-Requires-Root: no
+Homepage: https://wiki.ros.org/cpp_common
 
 Package: libroscpp-core-dev
 Section: libdevel

## ros-roscpp-core 0.6.12

=== debian/changelog ===
ros-roscpp-core (0.6.12-1) unstable; urgency=medium

  * New upstream version 0.6.12
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * cleanup rules
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 31 Jul 2019 13:17:07 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11), catkin, libboost-system-dev, libboost-thread-dev, libconsole-bridge-dev, libboost-date-time-dev, libgtest-dev
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 12), catkin, libboost-system-dev, libboost-thread-dev, libconsole-bridge-dev, libboost-date-time-dev, libgtest-dev
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/science-team/ros-roscpp-core
 Vcs-Git: https://salsa.debian.org/science-team/ros-roscpp-core.git
 Rules-Requires-Root: no

## ros-roscpp-core 0.6.13

=== cpp_common/CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 endif(HAVE_EXECINFO_H)
 # do we have demangle capability?
 # CHECK_INCLUDE_FILE doesn't work here for some reason
-CHECK_CXX_SOURCE_COMPILES("#include<cxxabi.h>\nintmain(intargc,char**argv){}" HAVE_CXXABI_H)
+CHECK_CXX_SOURCE_COMPILES("#include<cxxabi.h>\nint main(int argc,char**argv){}" HAVE_CXXABI_H)
 if(HAVE_CXXABI_H)
   add_definitions(-DHAVE_CXXABI_H=1)
 endif()

=== rostime/CMakeLists.txt ===
--- 
+++ 
@@ -38,6 +38,7 @@
   endif()
   catkin_add_gtest(${PROJECT_NAME}-test_time test/time.cpp)
   if(TARGET ${PROJECT_NAME}-test_time)
+    set_property(TARGET ${PROJECT_NAME}-test_time APPEND_STRING PROPERTY COMPILE_FLAGS "-std=c++11")
     target_link_libraries(${PROJECT_NAME}-test_time ${catkin_LIBRARIES} rostime)
   endif()
 endif()

=== debian/changelog ===
ros-roscpp-core (0.6.13-1build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:35:41 +0000

ros-roscpp-core (0.6.13-1) unstable; urgency=medium

  * New upstream version 0.6.13
  * Bump debhelper version

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 13 Oct 2019 19:40:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: ros-roscpp-core
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 12), catkin, libboost-system-dev, libboost-thread-dev, libconsole-bridge-dev, libboost-date-time-dev, libgtest-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/science-team/ros-roscpp-core
 Vcs-Git: https://salsa.debian.org/science-team/ros-roscpp-core.git
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh  $@ --buildsystem=cmake

## ros-roscpp-core 0.7.2

=== roscpp_core/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(roscpp_core)
find_package(catkin REQUIRED)
catkin_metapackage()

=== roscpp_serialization/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(roscpp_serialization)
 find_package(catkin REQUIRED COMPONENTS cpp_common roscpp_traits rostime)
 catkin_package(

=== roscpp_traits/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(roscpp_traits)
 find_package(catkin REQUIRED)
 catkin_package(

=== rostime/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(rostime)
 
 find_package(catkin REQUIRED COMPONENTS cpp_common)
@@ -12,7 +12,7 @@
 
 include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})
 
-add_library(rostime 
+add_library(rostime
   src/duration.cpp
   src/rate.cpp
   src/time.cpp)

=== debian/changelog ===
ros-roscpp-core (0.7.2-8build1) jammy; urgency=medium

  * No-change rebuild against libconsole-bridge1.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Nov 2021 17:31:39 +0000

ros-roscpp-core (0.7.2-8) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Fix Multiarch hinter issues

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:44:26 +0200

ros-roscpp-core (0.7.2-7) experimental; urgency=medium

  * Team upload.
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Thu, 02 Sep 2021 20:49:14 +0200

ros-roscpp-core (0.7.2-6) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 11:50:29 +0100

ros-roscpp-core (0.7.2-5) unstable; urgency=medium

  * Minimize Boost dependency (Closes: #977282)
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 13 Dec 2020 21:50:43 +0100

ros-roscpp-core (0.7.2-4) unstable; urgency=medium

  * Temporary change librostime version
  * Upload to unstable.

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Jun 2020 21:49:21 +0200

ros-roscpp-core (0.7.2-3) experimental; urgency=medium

  * Revert "Add patch to revert to old rostime ABI"
  * Bump Soname due to ABI change

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 11 Jun 2020 14:34:08 +0200

ros-roscpp-core (0.7.2-2) unstable; urgency=medium

  * Add patch to revert to old rostime ABI

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 11 Jun 2020 13:11:25 +0200

ros-roscpp-core (0.7.2-1) unstable; urgency=medium

  * simplify d/watch
  * New upstream version 0.7.2
  * Remove Thomas from Uploaders, thanks for working on this
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 11:14:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: ros-roscpp-core
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <jspricke@debian.org>,
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 12), catkin, libboost-system-dev, libboost-thread-dev, libconsole-bridge-dev, libboost-date-time-dev, libgtest-dev
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), catkin (>= 0.8.10-1~), libboost-dev, libconsole-bridge-dev, libgtest-dev
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/ros-roscpp-core
 Vcs-Git: https://salsa.debian.org/science-team/ros-roscpp-core.git
 Rules-Requires-Root: no
@@ -16,7 +15,8 @@
 Package: libroscpp-core-dev
 Section: libdevel
 Architecture: any
-Depends: libcpp-common0d (= ${binary:Version}), libroscpp-serialization0d (= ${binary:Version}), librostime0d (= ${binary:Version}), libboost-system-dev, libboost-thread-dev, libconsole-bridge-dev, libboost-date-time-dev, ${misc:Depends}
+Multi-Arch: same
+Depends: libcpp-common0d (= ${binary:Version}), libroscpp-serialization0d (= ${binary:Version}), librostime1d (= ${binary:Version}), libboost-dev, libconsole-bridge-dev, ${misc:Depends}
 Description: Development files for Robot OS roscpp-core
  This package is part of Robot OS (ROS). It contains the development
  files for roscpp_core which is an underlying library that supports
@@ -43,7 +43,7 @@
  serialization as described in MessagesSerializationAndAdaptingTypes.
  This package is a component of roscpp.
 
-Package: librostime0d
+Package: librostime1d
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-roscpp-core-$1.tar.gz%" \
    https://github.com/ros/roscpp_core/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ros-roscpp-core 0.7.3

=== cpp_common/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(cpp_common)
 
 find_package(Boost REQUIRED COMPONENTS system thread)

=== debian/changelog ===
ros-roscpp-core (0.7.3-3) unstable; urgency=medium

  * Do not force old C++ standard (Closes: #1084358)

 -- Timo Röhling <roehling@debian.org>  Mon, 07 Oct 2024 15:00:42 +0200

ros-roscpp-core (0.7.3-2) unstable; urgency=medium

  * Wrap and sort Debian package files
  * Migrate to dh-ros
  * Bump Standards-Version to 4.7.0
  * Add myself to uploaders
  * Enable all hardening options

 -- Timo Röhling <roehling@debian.org>  Tue, 24 Sep 2024 15:38:33 +0200

ros-roscpp-core (0.7.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

  [ Jochen Sprickerhof ]
  * New upstream version 0.7.3
  * Drop temporary rostime version bump

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 17 Jun 2023 21:51:16 +0200

=== debian/control ===
Source: ros-roscpp-core
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Section: libs
Priority: optional
Build-Depends:
 catkin (>= 0.8.10-1~),
 debhelper-compat (= 13),
 dh-ros,
 libboost-dev,
 libconsole-bridge-dev,
 libgtest-dev,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/ros-roscpp-core
Vcs-Git: https://salsa.debian.org/science-team/ros-roscpp-core.git
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/cpp_common

Package: libroscpp-core-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libboost-dev,
 libconsole-bridge-dev,
 libcpp-common0d (= ${binary:Version}),
 libroscpp-serialization0d (= ${binary:Version}),
 librostime1d (= ${binary:Version}),
 ${misc:Depends},
Description: Development files for Robot OS roscpp-core
 This package is part of Robot OS (ROS). It contains the development
 files for roscpp_core which is an underlying library that supports
 roscpp message data types. It is a lightweight/minimal library that
 can easily be used in non-ROS-based projects.

Package: libcpp-common0d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS utility library
 This package is part of Robot OS (ROS). It contains the C++ library
 libcpp_common which is code for doing things that are not necessarily ROS
 related, but are useful for multiple packages. This includes things like the
 ROS_DEPRECATED and ROS_FORCE_INLINE macros, as well as code for getting
 backtraces.

Package: libroscpp-serialization0d
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Robot OS library for roscpp serialization
 This package is part of Robot OS (ROS). It is a C++ library for
 serialization as described in MessagesSerializationAndAdaptingTypes.
 This package is a component of roscpp.

Package: librostime1d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS library for time and duration
 This package is part of Robot OS (ROS). It contains Time and Duration
 implementations for C++ libraries, including roscpp. ROS has builtin
 time and duration primitive types, which roslib provides as the
 ros::Time and ros::Duration classes, respectively.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=ros
